Package org.eclipse.mat.ibmvm.acquire

## Class DumpFactory

- java.lang.Object
- - org.eclipse.mat.ibmvm.acquire.DumpFactory

All Implemented Interfaces:
  `IExecutableExtensionFactory`

    public class DumpFactory
    extends java.lang.Object
    implements IExecutableExtensionFactory

Create a dump provider for IBM VMs Depending on the type of the current VM, either uses an Attach API method or will use a helper VM.

### Constructor Summary

Constructors
`DumpFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `create()` Actually create the appropriate dump provider.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DumpFactory

    public DumpFactory()

### Method Detail

#### create

    public java.lang.Object create()
                            throws CoreException

Actually create the appropriate dump provider.

Specified by:
  `create` in interface `IExecutableExtensionFactory`
Returns:
  the new dump provider
Throws:
  `CoreException`